#ifndef DIALOGTRAINEESGROUPS_H
#define DIALOGTRAINEESGROUPS_H

#include <QDialog>
#include <QTreeWidget>
#include "traineesview.h"
//#include "computersLocations.h"

namespace Ui {
class EditorTrainees;
}

//Виджет для редактирования БД Обучаемых

class EditorTrainees : public TraineesView
{
    Q_OBJECT

public:
    explicit EditorTrainees(InterfaceDataBaseLMS* dbLMS, bool adminMode, QWidget *parent = nullptr);
    ~EditorTrainees();

private Q_SLOTS:
    void on_btnNewGroup_clicked();
    void on_btnDeleteGroup_clicked();
    void on_btnNewTrainee_clicked();
    void on_btnDeleteTrainee_clicked();
    void on_btnToOrFromArchiveTrainee_clicked();
    void on_btnEdit_clicked();
    void on_btnArchive_clicked();
    void on_treeWidget_currentItemChanged(QTreeWidgetItem *current, QTreeWidgetItem *previous);

private:
    void setCurrentGroup(int id);
    void setCurrentTrainee(int id);

private:
    Ui::EditorTrainees *ui;
};

#endif // DIALOGTRAINEESGROUPS_H
